Crystal Space: iMeshList Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMeshList Struct Reference
[Mesh support]

A list of meshes. More...

`#include <iengine/mesh.h>`

Inheritance diagram for iMeshList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iMeshWrapper *obj)=0
| Add a mesh.
virtual int | Find (iMeshWrapper *obj) const =0
| Find a mesh and return its index.
virtual iMeshWrapper * | FindByName (const char *Name) const =0
| Find a mesh by name.
virtual iMeshWrapper * | Get (int n) const =0
| Return a mesh by index.
virtual int | GetCount () const =0
| Return the number of meshes in this list.
virtual bool | Remove (int n)=0
| Remove the nth mesh.
virtual bool | Remove (iMeshWrapper *obj)=0
| Remove a mesh.
virtual void | RemoveAll ()=0
| Remove all meshes.

## Detailed Description

A list of meshes.

Main ways to get pointers to this interface:

- iEngine::GetMeshes()
- iSector::GetMeshes()

Main users of this interface:

- iEngine

Definition at line 939 of file mesh.h.

## Member Function Documentation

virtual int iMeshList::Add | ( | iMeshWrapper * | obj | ) | `[pure virtual]`

Add a mesh.

virtual int iMeshList::Find | ( | iMeshWrapper * | obj | ) | const`[pure virtual]`

Find a mesh and return its index.

virtual iMeshWrapper* iMeshList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a mesh by name.

If there is a colon in the name then this function is able to search for children too. i.e. like mesh:childmesh:childmesh.

virtual iMeshWrapper* iMeshList::Get | ( | int | n | ) | const`[pure virtual]`

Return a mesh by index.

virtual int iMeshList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of meshes in this list.

virtual bool iMeshList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth mesh.

virtual bool iMeshList::Remove | ( | iMeshWrapper * | obj | ) | `[pure virtual]`

Remove a mesh.

virtual void iMeshList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all meshes.

The documentation for this struct was generated from the following file:

- iengine/mesh.h